POST Check Phone Number
Checks if a phone number for a customer for a specific brand already exists
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringAuthorizationrequired
Authorization header
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
- Type: stringphone
_number
Responses
- application/json
Request Example for post/customers/check-phone-number
curl https://api-public-demo.menu.app/api/customers/check-phone-number \
--request POST \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: ' \
--header 'X-QB-Enabled: true' \
--header 'Content-Type: application/json' \
--data '{
"type_id": 3,
"discount_id": 10005906790,
"venue_id": "b8c2d108-3f22-11ed-936c-1a67b454859d"
}'
{
"status": "OK",
"code": 200,
"data": {
"redemption_code": "6073964"
}
}